Summary:	A simple file manager with built-in FTP support
Name:		FileRunner
Version:	2.5.1
Release:	4mdk
License:	GPL 
Group:		File tools
Source0:	http://www.cd.chalmers.se/~hch/FileRunner-2.5.1.tar.bz2
Source1:	FileRunner.bz2

Url:		http://www.cd.chalmers.se/~hch/filerunner.html 
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	tcl
BuildRequires:	tk XFree86-devel

%description
FileRunner shows you a recursive graphical directory menu of your 
entire file system tree, including a history and hotlist (like
bookmarks).  FileRunner can also be used to browse through FTP
directories as easily as normal directories.  FileRunner supports
many FTP functions (upload/download, delete, makedir, FTP through a
proxy, resume download, asynchronous file transfer, and more) and is 
very configurable and extensible.

%prep

%setup -q 

%build
make -f Makefiles/Makefile.linux_gcc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/FileRunner/bitmaps
mkdir -p $RPM_BUILD_ROOT%{_bindir}

cp -a bitmaps/* $RPM_BUILD_ROOT%{_libdir}/FileRunner/bitmaps
cp -a *.tcl $RPM_BUILD_ROOT%{_libdir}/FileRunner
cp -a ext.so $RPM_BUILD_ROOT%{_libdir}/FileRunner
cp -a fr.gif $RPM_BUILD_ROOT%{_libdir}/FileRunner
cp -a icon.xpm $RPM_BUILD_ROOT%{_libdir}/FileRunner
cp -a tclIndex $RPM_BUILD_ROOT%{_libdir}/FileRunner

install -m755 fr $RPM_BUILD_ROOT%{_libdir}/FileRunner/fr
install -m755 frcolor $RPM_BUILD_ROOT%{_libdir}/FileRunner/frcolor
install -m755 frftp $RPM_BUILD_ROOT%{_libdir}/FileRunner/frftp

cd $RPM_BUILD_ROOT%{_bindir}
ln -s ../lib/FileRunner/fr fr

install -m 755 -d $RPM_BUILD_ROOT/%{_menudir}
bunzip2 $RPM_SOURCE_DIR/FileRunner.bz2
install -m 644 $RPM_SOURCE_DIR/%{name} $RPM_BUILD_ROOT/%{_menudir}
bzip2 $RPM_SOURCE_DIR/FileRunner

%post
## menu
%{update_menus}

%postun
## menu
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING FAQ HISTORY QuickStart.txt README Tips.txt
%doc Users_Guide.txt 
%{_libdir}/FileRunner/*
%{_bindir}/fr

%changelog
* Thu Jul 19 2001 Stefan van der Eijk <stefan@eijk.nu> 2.5.1-4mdk
- BuildRequires:	tk XFree86-devel

* Tue Jan 16 2001 David BAUDENS <baudens@mandrakesoft.com> 2.5.1-3mdk
- BuildRequires: tk
- s/Copyright/License
- Build with gcc-2.96 and glibc-2.2.1

* Mon Aug 21 2000 Vincent Saugey <vince@mandrakesoft.com> 2.5.1-2mdk
- BM
- Macros

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.5.1-1mdk
- Updated version

* Wed Apr 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.5-3mdk
- fixed missing menu entries.

* Wed Apr 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.5-2mdk
- updated group for 7.1

* Wed Dec 08 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- mandrake adaptation

* Sun Aug 15 1999 Dale Lovelace <dale@redhat.com>
- added filerunner.wmconfig

* Fri Jun 25 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- updated 6.0 

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- upgraded package
- cleaned up spec file

* Tue May 19 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.4.2

* Mon Feb 16 1998 Otto Hammersmith <otto@redhat.com>
- fixed description

* Thu Jan 08 1998 Mike Wangsmo <wanger@redhat.com>
- initial build
